"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
function getClassAndMethodName(self, methodName) {
    let result = getClassName(self);
    if (result !== '') {
        result += '.';
    }
    result += methodName;
    return result;
}
exports.getClassAndMethodName = getClassAndMethodName;
function getClassName(self) {
    return _.get(self, 'name') || _.get(self, 'constructor.name', '');
}
exports.getClassName = getClassName;
