export interface IDbErrorOptions {
    code?: string;
    innerDetails?: object;
    publicMessage?: string;
    status?: number;
}
export declare class DbError extends Error {
    static readonly CODE_DEFAULT: string;
    static readonly STATUS_DEFAULT: number;
    static readonly MESSAGE_DEFAULT: string;
    code: string;
    status: number;
    protected innerDetails: object;
    constructor(data: IDbErrorOptions);
}
