/// <reference types="koa" />
import * as Koa from "koa";
import { Middleware } from 'koa';
export interface ICorsOptions {
    origin?: string | ((ctx: Koa.Context) => boolean | string);
    exposeHeaders?: string[];
    maxAge?: number;
    credentials?: boolean;
    allowMethods?: string[];
    allowHeaders?: string[];
}
export declare function createCorsMiddleware(corsOptions: ICorsOptions): Middleware;
