"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsonWebToken = require("jsonwebtoken");
class JwtService {
    constructor(config) {
        this.secretKey = config.secret;
    }
    getToken(payload) {
        return jsonWebToken.sign(payload, this.secretKey);
    }
}
exports.JwtService = JwtService;
