export declare class Validator {
    static isInt(value: any, min?: number, max?: number): number | never;
    static isNumber(value: any, min?: number, max?: number): number | never;
    static escape(value: string): string;
    static isString(value: any, min?: number, max?: number): string | never;
    static isEmail(value: any): string | never;
    static isArray<T>(array: any, iterator?: (arrayElement: any) => T): Array<T> | never;
    static isDate(value: any, min?: Date, max?: Date): Date | never;
}
