"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const item_validator_1 = require("../validation/item_validator");
const validation_middleware_1 = require("./middleware/validation_middleware");
class Controller {
    validate(ctx, cb) {
        const requestParams = validation_middleware_1.getRequestParamsFromContext(ctx);
        return cb(this._validate(requestParams));
    }
    _validate(item) {
        return new item_validator_1.ItemValidator(item);
    }
}
exports.Controller = Controller;
