"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cls = require("cls-hooked");
const appClsNamespace = cls.createNamespace('InnotsApp');
class ClsService {
    static getTrace() {
        return appClsNamespace.get(ClsService.MDC_KEY);
    }
    static setTrace(trace) {
        appClsNamespace.set(ClsService.MDC_KEY, trace);
    }
    static createCls(fn) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield appClsNamespace.runPromise(fn);
        });
    }
}
ClsService.MDC_KEY = 'mappedDiagnosticContext';
exports.ClsService = ClsService;
